<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eicd/CalorimeterHit.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e4e37cb967a0a8dac9982f75962b5bf7.html">eicd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">CalorimeterHit.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_calorimeter_hit_const_8h_source.html">eicd/CalorimeterHitConst.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_calorimeter_hit_obj_8h_source.html">eicd/CalorimeterHitObj.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_vector_x_y_z_8h_source.html">eicd/VectorXYZ.h</a>&quot;</code><br />
<code>#include &quot;podio/ObjectID.h&quot;</code><br />
<code>#include &lt;ostream&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for CalorimeterHit.h:</div>
<div class="dyncontent">
<div class="center"><img src="_calorimeter_hit_8h__incl.png" border="0" usemap="#eicd_2_calorimeter_hit_8h" alt=""/></div>
<map name="eicd_2_calorimeter_hit_8h" id="eicd_2_calorimeter_hit_8h">
<area shape="rect" id="node2" href="_calorimeter_hit_const_8h.html" title="eicd/CalorimeterHitConst.h" alt="" coords="278,80,458,107"/>
<area shape="rect" id="node3" href="_calorimeter_hit_obj_8h.html" title="eicd/CalorimeterHitObj.h" alt="" coords="157,155,323,181"/>
<area shape="rect" id="node5" href="_vector_x_y_z_8h.html" title="eicd/VectorXYZ.h" alt="" coords="371,304,496,331"/>
<area shape="rect" id="node4" href="_calorimeter_hit_data_8h.html" title="eicd/CalorimeterHitData.h" alt="" coords="5,229,179,256"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_calorimeter_hit_8h__dep__incl.png" border="0" usemap="#eicd_2_calorimeter_hit_8hdep" alt=""/></div>
<map name="eicd_2_calorimeter_hit_8hdep" id="eicd_2_calorimeter_hit_8hdep">
<area shape="rect" id="node2" href="_calorimeter_hit_8cc.html" title="src/CalorimeterHit.cc" alt="" coords="133,155,280,181"/>
<area shape="rect" id="node3" href="_calorimeter_hit_collection_8h.html" title="eicd/CalorimeterHitCollection.h" alt="" coords="445,80,648,107"/>
<area shape="rect" id="node5" href="_calorimeter_hit_const_8cc.html" title="src/CalorimeterHitConst.cc" alt="" coords="584,155,765,181"/>
<area shape="rect" id="node7" href="_cluster_obj_8h.html" title="eicd/ClusterObj.h" alt="" coords="1005,80,1128,107"/>
<area shape="rect" id="node8" href="_cluster_const_8h.html" title="eicd/ClusterConst.h" alt="" coords="891,155,1029,181"/>
<area shape="rect" id="node9" href="_cluster_8h.html" title="eicd/Cluster.h" alt="" coords="751,229,854,256"/>
<area shape="rect" id="node4" href="_calorimeter_hit_collection_8cc.html" title="src/CalorimeterHitCollection.cc" alt="" coords="305,155,509,181"/>
<area shape="rect" id="node6" href="_cluster_collection_8cc.html" title="src/ClusterCollection.cc" alt="" coords="764,393,927,420"/>
<area shape="rect" id="node10" href="_cluster_8cc.html" title="src/Cluster.cc" alt="" coords="1201,393,1305,420"/>
<area shape="rect" id="node11" href="_cluster_collection_8h.html" title="eicd/ClusterCollection.h" alt="" coords="891,311,1053,338"/>
<area shape="rect" id="node12" href="_cluster_const_8cc.html" title="src/ClusterConst.cc" alt="" coords="951,393,1089,420"/>
<area shape="rect" id="node14" href="_cluster_obj_8cc.html" title="src/ClusterObj.cc" alt="" coords="1129,311,1253,338"/>
<area shape="rect" id="node15" href="_reconstructed_particle_obj_8h.html" title="eicd/ReconstructedParticle\lObj.h" alt="" coords="276,304,455,345"/>
<area shape="rect" id="node16" href="_reconstructed_particle_const_8h.html" title="eicd/ReconstructedParticle\lConst.h" alt="" coords="861,468,1040,509"/>
<area shape="rect" id="node17" href="_reconstructed_particle_8h.html" title="eicd/ReconstructedParticle.h" alt="" coords="423,393,614,420"/>
<area shape="rect" id="node13" href="_reconstructed_particle_collection_8cc.html" title="src/ReconstructedParticle\lCollection.cc" alt="" coords="671,557,844,599"/>
<area shape="rect" id="node18" href="_reconstructed_particle_8cc.html" title="src/ReconstructedParticle.cc" alt="" coords="431,565,622,591"/>
<area shape="rect" id="node19" href="_reconstructed_particle_collection_8h.html" title="eicd/ReconstructedParticle\lCollection.h" alt="" coords="25,468,204,509"/>
<area shape="rect" id="node20" href="_reconstructed_particle_const_8cc.html" title="src/ReconstructedParticle\lConst.cc" alt="" coords="227,557,400,599"/>
<area shape="rect" id="node22" href="_reconstructed_particle_obj_8cc.html" title="src/ReconstructedParticle\lObj.cc" alt="" coords="279,468,452,509"/>
<area shape="rect" id="node25" href="_vertex_obj_8cc.html" title="src/VertexObj.cc" alt="" coords="891,565,1011,591"/>
<area shape="rect" id="node23" href="_vertex_8cc.html" title="src/Vertex.cc" alt="" coords="578,475,678,502"/>
<area shape="rect" id="node24" href="_vertex_const_8cc.html" title="src/VertexConst.cc" alt="" coords="702,475,837,502"/>
<area shape="rect" id="node21" href="_vertex_collection_8cc.html" title="src/VertexCollection.cc" alt="" coords="35,565,194,591"/>
</map>
</div>
</div>
<p><a href="_calorimeter_hit_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_calorimeter_hit.html">eic::CalorimeterHit</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespaceeic"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceeic.html">eic</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a207cb16b7a2df08e82d05c73c144487f"><td class="memItemLeft" align="right" valign="top">std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">eic::operator&lt;&lt;</a> (std::ostream &amp;o, const ConstCalorimeterHit &amp;value)</td></tr>
<tr class="separator:a207cb16b7a2df08e82d05c73c144487f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
